/// <reference types="react" />
import * as React from 'react';
export interface IButtonPropTypes {
    /** Text to display */
    text: string;
    /** Click handler for the button */
    onClick?: React.MouseEventHandler<any>;
    /** Which style should the button have */
    /** @default primary */
    kind?: 'primary' | 'secondary' | 'danger' | 'download';
    /** Include a Call-to-Action arrow? */
    /** @default false*/
    cta?: boolean;
    /** Additional styles to apply */
    style?: {
        [key: string]: string;
    };
    /** Optional href is we want an <a /> or <Link /> */
    href?: string;
    /** Should we use a React Router <Link /> component? */
    /** @default false */
    link?: boolean;
    /** Optional target for href */
    target?: string;
    /** Additional className to apply */
    className?: string;
    /** Should the button be disabled? */
    /** @default false */
    disabled?: boolean;
}
export default function Button({onClick, text, kind, cta, style, href, link, target, className, disabled}: IButtonPropTypes): JSX.Element;
